﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";

}
@using DP.Services.Data.Models
@model List<Insurance>
<h4>Insurance</h4>
<div class="row">
    <div class="col-md-12" style="overflow-x: auto; height: 87.9vh;width: 99.9%;">
        <table  class="table table-condensed" style="font-size:11px !important">
            <thead>
                <tr>
                    <th>#</th>
                    <th>ProviderName</th>
                    <th>PlanName</th>
                    <th>PlanType</th>
                    <th>Cashless Facility</th>
                    <th>Maternity Benefits</th>
                    <th>Ambulance Charges</th>
                    <th>DayCare Procedures</th>
                    <th>Health Checkup</th>
                    <th>Tax Benefits</th>
                    <th>Hospitalization Expenses</th>
                    <th>Freelook Period</th>
                    <th>Alternative Treatment</th>
                    <th>Cumulative Bonus</th>
                    <th>OrganDonor Expenses</th>
                    <th>PrePost Hospitalization Charges</th>
                    <th>Cumulative Bonus</th>
                    <th>Portability</th>
                    <td>Actions</td>
                </tr>
            </thead>
            <tbody>
                @foreach (var ins in Model)
                {
                    <tr data-id="@ins.Id">
                        <td><span>@ins.Id</span> </td>
                        <td title="@ins.Summary"><span>@ins.ProviderName</span></td>
                        <td ><span>@ins.PlanName</span></td>
                        <td><span>@ins.PlanType</span></td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("CashlessFacility_"+ins.Id)" data-field="CashlessFacility" class="styled" type="checkbox" @(ins.CashlessFacility == true ? "checked" : "") />
                                <label for="@("CashlessFacility_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("MaternityBenefits_"+ins.Id)" data-field="MaternityBenefits" class="styled" type="checkbox" @(ins.MaternityBenefits == true ? "checked" : "") />
                                <label for="@("MaternityBenefits_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("AmbulanceCharges_"+ins.Id)" data-field="AmbulanceCharges" class="styled" type="checkbox" @(ins.AmbulanceCharges == true ? "checked" : "") />
                                <label for="@("AmbulanceCharges_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("DayCareProcedures_"+ins.Id)" data-field="DayCareProcedures" class="styled" type="checkbox" @(ins.DayCareProcedures == true ? "checked" : "") />
                                <label for="@("DayCareProcedures_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("HealthCheckup_"+ins.Id)" data-field="HealthCheckup" class="styled" type="checkbox" @(ins.HealthCheckup == true ? "checked" : "") />
                                <label for="@("HealthCheckup_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("TaxBenefits_"+ins.Id)" data-field="TaxBenefits" class="styled" type="checkbox" @(ins.TaxBenefits == true ? "checked" : "") />
                                <label for="@("TaxBenefitsy_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("HospitalizationExpenses_"+ins.Id)" data-field="HospitalizationExpenses" class="styled" type="checkbox" @(ins.HospitalizationExpenses == true ? "checked" : "") />
                                <label for="@("HospitalizationExpenses_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("FreelookPeriod_"+ins.Id)" data-field="FreelookPeriod" class="styled" type="checkbox" @(ins.FreelookPeriod == true ? "checked" : "") />
                                <label for="@("FreelookPeriod_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("AlternativeTreatment_"+ins.Id)" data-field="AlternativeTreatment"  class="styled" type="checkbox" @(ins.AlternativeTreatment == true ? "checked" : "") />
                                <label for="@("AlternativeTreatment_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("CumulativeBonus_"+ins.Id)" data-field="CumulativeBonus" class="styled" type="checkbox" @(ins.CumulativeBonus == true ? "checked" : "") />
                                <label for="@("CumulativeBonus_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("OrganDonorExpenses_"+ins.Id)" data-field="OrganDonorExpenses" class="styled" type="checkbox" @(ins.OrganDonorExpenses == true ? "checked" : "") />
                                <label for="@("OrganDonorExpenses_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("PrePostHospitalizationCharges_"+ins.Id)" data-field="PrePostHospitalizationCharges" class="styled" type="checkbox" @(ins.PrePostHospitalizationCharges == true ? "checked" : "") />
                                <label for="@("PrePostHospitalizationCharges_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("CumulativeBonus_"+ins.Id)" data-field="CumulativeBonus" class="styled" type="checkbox" @(ins.CumulativeBonus == true ? "checked" : "") />
                                <label for="@("CumulativeBonus_"+ins.Id)"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("Portability_"+ins.Id)" data-field="Portability" class="styled" type="checkbox" @(ins.Portability == true ? "checked" : "") />
                                <label for="@("Portability_"+ins.Id)"></label>
                            </div>
                        </td>
                        @*<td>
                            <div class="checkbox checkbox-success" style="display: inline-block;">
                                <input name="@("Portability_"+ins.Id)" data-field="Portability" class="styled" type="checkbox" @(ins.Portability == true ? "checked" : "") />
                                <label for="@("Portability_"+ins.Id)"></label>
                            </div>
                        </td>*@
                        <td>
                            <button class="btn btn-sm btn-primary btn-insurance-update" name="@("btn_insurance_"+ins.Id)">Update</button>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
<script type="text/javascript" src="~/Scripts/modules/insurance.js"></script>
